=cut
# $Id: gimev.pod.pl,v 1.3 2002/09/12 02:49:40 itz Exp $
=pod

=head1 NAME

{* $progname *} - {* $gimev_whatis *}

=head1 SYNOPSIS

{* 
        @noarg_gimev_opts = grep {$_->{arg} == 0} @gimev_opts;
        @arg_gimev_opts = grep {$_->{arg}} @gimev_opts;
        $noarg_alt = join '|', map {"B<-$_->{flag}>"} @noarg_gimev_opts;
        $arg_alt = join '|', map {"B<-$_->{flag}> \UI<$_->{name}>"} @arg_gimev_opts;
        $OUT .= qq(B<$progname> );
        if ($noarg_alt) {
                $OUT .= qq([$noarg_alt]);
        }
        if ($arg_alt) {
                $OUT .= qq([$arg_alt]);
        }
*}

=head1 DESCRIPTION

B<gimev> is a simple (maybe I<primitive> is a better word) B<gim>(8) client
which prints on its standard output the mouse events it receives from B<gim>,
in a format suitable for feeding into B<emacs>(1).  B<gimev> remotely resembles
the X11 event tracer B<xev>(1x).

=head1 OPTIONS

=over 4

{* foreach $opt (@gimev_opts) {
        $OUT .= qq(=item B<-$opt->{flag}, --$opt->{name}>);
        if ($opt->{arg}) {
                $OUT .= qq(=\UI<$opt->{name}>);
        }
        my $docstring = "\n\n$opt->{docstring}\n\n";
        $docstring =~ s|!NAME!|\UI<$opt->{name}>| ;
        $OUT .= $docstring;
} *}

=back

=head1 COMMANDS

Apart from listening for B<gim> mouse events, B<gimev> also recognizes a few commands
which can be typed (or sent by a driver program) on its standard input.  The following
commands are recognized (an I<exact> spelling match is required):

=over 4

{* foreach $mevcmd (@gimev_cmds) {
        $OUT .= qq(=item B<$mevcmd->{name}>);
        if ($mevcmd->{arg}) {
                $OUT .= qq( \UI<$mevcmd->{name}>);
        }
        my $docstring = "\n\n$mevcmd->{docstring}\n\n";
        $docstring =~ s|!NAME!|\UI<$mevcmd->{name}>| ;
        $OUT .= $docstring;
} *}

=back

=head1 FILES

=over 4

=item I<sysconfdir>F</gimev_modmap.conf>

This file lists the symbols available for the B<-M> and B<-m> options,
together with their numeric values, in the format of simple shell-like
assignments, one per line.  Typical contents of this file might be

 shift=1
 altgr=2
 control=4
 alt=8

This information comes basically from the kernel header file F<linux/keyboard.h>.
It is not compiled into the program because the Linux kernel doesn't have an
official ABI yet, unfortunately.

=back

=head1 REPORTING BUGS

Report bugs to {* $email *}.

=head1 COPYRIGHT

{* $copy *}
